Impossible to use libapache2-mod-auth-radius with subversion

Bug #305497 reported by Nicolas Graziano on 2008-12-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libapache-mod-auth-radius (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: libapache-mod-auth-radius

Hi,
On Ubuntu 8.04 with libapache2-mod-auth-radius 1.5.7-7

I have the same problem than here : http://objectmix.com/apache/671138-radius-subversion-config.html

If I use radius on web page it is working.
If I use subversion with basic authentication it's working.
But if I use subversion with radius authentication it fail with error 404.

The solution is to remove the following lines (at 1192) :
if ((strstr(r->filename, "proxy:") != r->filename) &&
      (stat(r->filename, &buf) < 0)) {
    return HTTP_NOT_FOUND; /* can't stat it, so we can't authenticate it */
  }

Is it possible to include this fix on the ubuntu package ?

Regards,
Nicolas

Josip Rodin (joy) wrote :

This problem sounds like we need to either remove this, or add similar logic that catches DAV. Any idea?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers